@import "../../variables";

.modal-wrap {
  height: 100vh;
  width: 100vw;
  background-color: #1d1d1de0;

  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);

  position: fixed;
  top: 0;
  left: 0;
  display: none;
}

.modal-wrap.active {
  display: flex;
  justify-content: center;
  align-items: center;
}

.modal-body {
  overflow-y: auto;
  max-width: 400px;
  max-height: 400px;
  border-radius: 10px;

  -ms-overflow-style: none;
  scrollbar-width: none;
  &::-webkit-scrollbar {
    display: none;
  }
}

.modal-header {
  color: $colorModalButton;
  border-radius: 10px;
  padding: 10px 20px;
  background-color: $bgModal;
  display: flex;
  justify-content: space-between;
  & > p {
    margin: 0;
  }
}
.modal-text {
  padding: 0 20px;
}
.modal-close {
  cursor: pointer;
}

.modal-buttons-wrap {
  display: flex;
  justify-content: center;
}

.btnModal {
  min-width: 100px;
  background-color: $bgModal;
  padding: 5px;
  margin: 10px;
  border-radius: 5px;
  border: none;
  color: $colorModalButton;
  font-size: medium;
  cursor: pointer;
  &:hover {
    opacity: 0.5;
    color: #000000;
  }
}
